import request from '@/config/axios'

export interface PreDataBarLineReqVO {
  outIds: string[],
  predictTime: string,
  startTime: string,
  endTime: string
}

export interface PreDataItemChartReqVO {
  itemId: string,
  startTime: string,
  endTime: string
}

export const getPredictItemTree = () => {
  return request.get({ url: '/model/api/mcs/predict-item/tree'})
}

export const getPreDataCharts = (data: PreDataBarLineReqVO) => {
  return request.post({ url: '/model/api/mcs/predict-data/charts', data })
}

export const getPreDataItemChart = (data: PreDataItemChartReqVO) => {
  return request.post({ url: '/model/api/mcs/predict-data/item-chart', data })
}
